using System;

namespace VCommon.VAutoMapper
{
    [AttributeUsage(AttributeTargets.Property)]
    public class AutoMapperIgnoreAttribute : Attribute
    {
        public AutoMapperIgnoreDirection Direction { get; }

        public AutoMapperIgnoreAttribute(AutoMapperIgnoreDirection direction = AutoMapperIgnoreDirection.Both)
        {
            Direction = direction;
        }
    }
}
